#ifndef OBREC_H
#define OBREC_H

#include "brview.h"

struct objectr_s;
typedef struct objectr_s {
	struct objectr_s *next;
	char *name;
	float prob;
	int left, right, top, bot;
	float rper, gper, bper; // percentage of the R, G and B values within
							// a subset of the image
} objectr_t;

int obrec_connect(int *sockfd, unsigned char **shmptr, char *sockname, char *shmname, int w, int h);
int obrec_find_objects_in_image(objectr_t **objectrs, int sockfd, unsigned char *shmptr, char *shmname, brview_image_t *img);
void obrec_free_objectr_list(objectr_t *obrs);

#endif
